public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-puzzle/arrows/
Date: Sat, 14 Apr 2018 21:39:01 +0000 (UTC)	[thread overview]
Message-ID: <1523741931.0f7b666e897d218029a937910817710f3f2151a2.pacho@gentoo> (raw)

commit:     0f7b666e897d218029a937910817710f3f2151a2
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 14 21:27:35 2018 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Apr 14 21:38:51 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0f7b666e

games-puzzle/arrows: Stop using games.eclass

Package-Manager: Portage-2.3.28, Repoman-2.3.9

 games-puzzle/arrows/arrows-0.6-r1.ebuild | 48 ++++++++++++++++++++++++++++++++
 1 file changed, 48 insertions(+)

diff --git a/games-puzzle/arrows/arrows-0.6-r1.ebuild b/games-puzzle/arrows/arrows-0.6-r1.ebuild
new file mode 100644
index 00000000000..5e3b5c6834b
--- /dev/null
+++ b/games-puzzle/arrows/arrows-0.6-r1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="Simple maze-like game where you navigate around and destroy arrows"
+HOMEPAGE="http://noreason.ca/?file=software"
+SRC_URI="http://noreason.ca/data/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND=">=x11-libs/gtk+-2.4:2"
+DEPEND="${RDEPEND}
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	default
+
+	# Modify path to data
+	sed -i \
+		-e "s:arrfl:/usr/share/${PN}/arrfl:" \
+		-e 's:nm\[9:nm[35:' \
+		-e 's:nm\[6:nm[30:' \
+		-e 's:nm\[7:nm[31:' \
+		game.c \
+		|| die 'sed failed'
+	sed -i \
+		-e '/^CC /d' \
+		-e '/CCLIBS/s:$: $(LDFLAGS):' \
+		Makefile \
+		|| die 'sed failed'
+}
+
+src_compile() {
+	make clean || die "make clean failed"
+	emake CCOPTS="${CFLAGS}"
+}
+
+src_install() {
+	dobin arrows
+	insinto "/usr/share/${PN}"
+	doins arrfl*
+	einstalldocs
+}


             reply	other threads:[~2018-04-14 21:39 UTC|newest]

Thread overview: 5+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-04-14 21:39 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-09-07 12:08 [gentoo-commits] repo/gentoo:master commit in: games-puzzle/arrows/ Ionen Wolkens
2021-09-07 12:08 Ionen Wolkens
2021-09-07 12:08 Ionen Wolkens
2018-04-14 21:39 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1523741931.0f7b666e897d218029a937910817710f3f2151a2.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox